uk.gov.hmrc.ct.accounts.retriever

# AccountsBoxRetriever

###
Related Doc: package retriever

#### trait AccountsBoxRetriever extends BoxRetriever

Self Type
  AccountsBoxRetriever with FilingAttributesBoxValueRetriever

Linear Supertypes
BoxRetriever, AnyRef, Any
Known Subclasses
AbridgedAccountsBoxRetriever, CoHoAccountsApprovalBoxRetriever, Frs102AccountsBoxRetriever, Frs105AccountsBoxRetriever, Frs10xAccountsBoxRetriever, Frs10xDirectorsBoxRetriever, Frs10xDormancyBoxRetriever, Frs10xFilingQuestionsBoxRetriever, Frsse2008AccountsBoxRetriever, FullAccountsBoxRetriever, HmrcAccountsApprovalBoxRetriever
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AccountsBoxRetriever
2. BoxRetriever
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def ac1(): AC1

2. #### abstract def ac12(): AC12

3. #### abstract def ac2(): AC2

4. #### abstract def ac205(): AC205

5. #### abstract def ac206(): AC206

6. #### abstract def ac3(): AC3

7. #### abstract def ac4(): AC4

8. #### abstract def ac401(): AC401

9. #### abstract def ac402(): AC402

10. #### abstract def ac403(): AC403

11. #### abstract def ac404(): AC404

12. #### abstract def ac415(): AC415

13. #### abstract def cato24(): CATO24

14. #### abstract def companyAddress(): CompanyAddress

15. #### abstract def generateValues: Map[String, CtValue[_]]

    Definition Classes
      BoxRetriever

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]

    Definition Classes
      BoxRetriever

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped